Bug 442176 - xdpyinfo aborts on XFree86-Misc detail output
xdpyinfo aborts on XFree86-Misc detail output
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-utils (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-12 10:16 EDT by Bill Crawford
Modified: 2008-04-25 13:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 13:42:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Output of "xdpyinfo -ext all" (3.78 KB, text/plain)
2008-04-12 10:16 EDT, Bill Crawford
no flags Details
Output of "xdpyinfo -ext XFree86-Misc" (3.20 KB, text/plain)
2008-04-12 10:17 EDT, Bill Crawford
no flags Details
backtrace (7.83 KB, text/plain)
2008-04-15 12:25 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Bill Crawford 2008-04-12 10:16:35 EDT
Description of problem:
Abort (or sometimes just a X error) when retrieving / displaying extension info,
specifically XFree86-Misc by the looks of it.

Version-Release number of selected component (if applicable):
xorg-x11-utils-7.3-2.fc9.i386

How reproducible:
xdpyinfo -ext all
xdpyinfo -ext XFree86-Misc

Steps to Reproduce:
1. Run either of the above two commands
2. Watch and be disappointed
3. ... profit?
  
Actual results:
Crashes.

Expected results:
Some extension-specific detail in the output.

Additional info:
Attaching the output of the two commands in a moment (assuming I remember :o)).
Comment 1 Bill Crawford 2008-04-12 10:16:35 EDT
Created attachment 302217 [details]
Output of "xdpyinfo -ext all"
Comment 2 Bill Crawford 2008-04-12 10:17:33 EDT
Created attachment 302218 [details]
Output of "xdpyinfo -ext XFree86-Misc"
Comment 3 Bill Crawford 2008-04-12 10:18:17 EDT
I'll happily file this upstream, but I have no way to verify this isn't somehow
rawhide-specific at this point.
Comment 4 Matěj Cepl 2008-04-15 12:25:13 EDT
Created attachment 302489 [details]
backtrace

Yes, can easily reproduce.
Comment 5 Adam Jackson 2008-04-21 16:03:13 EDT
Yeah, it'll do that.  Most of the XFree86-Misc stuff was ripped out as part of
the new input world order.  xdpyinfo should just catch errors from those and
ignore them.
Comment 6 Adam Jackson 2008-04-25 13:42:26 EDT
Fixed in xorg-x11-utils 7.3-3.fc9.

Note You need to log in before you can comment on or make changes to this bug.